## yada 0.34

=== doc/Makefile ===
# Makefile for generating text file from LyX source

yada.txt: yada.html
	links -dump $< | \
	sed \
	    -e 's/> >/>>/g' \
	> $@

yada.html: yada.tex
	tth $<
	sed \
	    -e 's/<!---->/\&nbsp;/' \
	    -e 's!</dd>!<br />\&nbsp;</dd>!' \
	    -e '/File translated from$$/,/^version/d' $@ > $@.tmp
	mv -f $@.tmp $@

yada.tex: yada.lyx
	lyx -e latex $<
	sed \
	    -e 's/\\textless{}/</g' \
	    -e 's/\\textgreater{}/>/g' \
            -e 's/\\textasciitilde{}/\\~{}/g' \
            -e 's/\\textbackslash{}/$$\\backslash$$/g' \
            -e 's/\\textasciicircum{}/\\verb$$^$$/g' \
	    -e 's/^\\usepackage\[T1\]/\\usepackage[OT4]/' $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -f *.html *.tex *.tmp *.lyx~

distclean:
	rm -f *.txt *.html *.tex *.tmp *.lyx~

## yada 0.9

=== debian/changelog ===
yada (0.9) unstable; urgency=medium

  * There's no such directory as /usr/X11R6/share, so don't install
    stuff into it.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  7 Dec 1999 20:10:05 +0000

yada (0.8) unstable; urgency=low

  * Maintainer release fixes the following bugs:
    - Closes:#41279: "License files are now in
      /usr/share/common-licenses/" and are now referenced as such.
    - Closes:#41281: "Reversed operator in modified line".
    - Closes:#41283: "yada cannot build some packages".  Escaped "." and
      "+" in package names when they are used in substvar variable names.
    - Closes:#41654: "Yada should use /usr/share/doc/package instead
      of /usr/doc/package".
    - Closes:#41932: "Manpages should be under /usr/share/man, not
      /usr/man".
  * Implement symlinks from /usr/doc/$pkg to /usr/share/doc/$pkg, in a
    similar manner to debhelper.
  * Updated to standards-version 3.0.1.

  * Start of internal code reorganisation; parsing of debian/packages
    file should now be more robust.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 29 Oct 1999 02:20:00 +0100

yada (0.7.4) unstable; urgency=low

  * NMU
  * Revert changes in 0.7.2 and 0.7.3 until the policy team has chosen whether
    to accept this or not.

 -- Samuel Tardieu <sam@debian.org>  Thu,  5 Aug 1999 19:17:24 +0200

yada (0.7.3) unstable; urgency=low

  * NMU
  * Use /usr/share/man instead of /usr/man. Comply with version 3.0.0 of the
    policy. Closes: #41932.

 -- Samuel Tardieu <sam@debian.org>  Mon, 26 Jul 1999 13:59:41 +0200

yada (0.7.2) unstable; urgency=low

  * NMU
  * Use /usr/share/doc/package instead of /usr/doc/package. Comply with version
    3.0.0 of the policy. Closes: #41654.

 -- Samuel Tardieu <sam@debian.org>  Tue, 20 Jul 1999 12:58:02 +0200

yada (0.7.1) unstable; urgency=low

  * NMU
  * Escape "." and "+" before using variable substitution. Closes: #41283.
  * Change "=." into ".=". Closes: #41281.
  * Point onto /usr/share/common-licenses. Closes: #41279.

 -- Samuel Tardieu <sam@debian.org>  Fri, 16 Jul 1999 15:59:48 +0200

yada (0.7) unstable; urgency=low

  * Unapply *.dpatches -after- running the packages file's clean field.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri,  9 Jul 1999 23:13:46 +0100

yada (0.6) unstable; urgency=low

  * Change dependency on "perl" to "perl5 | perl".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri,  2 Jul 1999 15:26:23 +0100

yada (0.5) unstable; urgency=low

  * Check everything into PRCS.  Modify version strings to use prcs's
    improved version headers.

  * Change "echo -e" to "echo -E" in generated debian/rules; this stops
    backslash-escapes being interpreted too early.
  * Install debian/changelog as "changelog" in native packages.
  * Stamp generated debian/rules with yada version string.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed,  9 Jun 1999 01:29:00 +0100

yada (0.4) unstable; urgency=high

  * Fix a nasty bug in the code to recover after a failed patching or
    unpatching run.  Urgency=high because of this and the conffiles bug
    fixed in version 0.3.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 20 May 1999 01:13:19 +0100

yada (0.3) unstable; urgency=low

  * A couple of bug fixes to do with "yada install -conffile".
  * "yada install" died with "-conffile", not knowing to put files
    in /etc.
  * The "conffiles" control area file was ending up in the root directory,
    not in the control area.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed, 19 May 1999 15:49:42 +0100

yada (0.2) unstable; urgency=low

  * Yada revision 1.40.

  * debian/packages can now contain comments.  Lines starting with a
    "#" are now ignored, except as part of a multi-line field value.

  * New field, "Patches:", which gives a wildcard pattern; files in
    debian/ matching the pattern are treated as patches, for egcs-style
    automated patching and unpatching.  Note, this doesn't work -quite-
    like egcs's dpatches; read yada.txt before using.

  * "yada yada" is now more verbose.
  * In "yada yada", guess package name by breaking at -last- dash,
    not first.
  * "yada yada" now creates an initial changelog if there is no
    debian/changelog.
  * "yada yada" now creates the debian/ directory if it doesn't exist.

  * Changed meaning of "-conffile" to "yada install": now means to
    install the file in /etc, rather than meaning to add the file to
    the conffiles list.
  * All files in /etc are now added to conffiles automatically.

  * Add back in the $|=1 which I mistakenly removed, thinking it was
    for debugging.  Commented why it should be there.  This tidies up
    the presentation of the copyright file.
  * Warn if it looks like a proper copyright notice was omitted from the
    "Copyright:" field.
  * For native packages with no "Major-changes:" field, don't use an
    undefined variable, and don't put two spurious newlines into the
    copyright file.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue, 18 May 1999 11:23:58 +0100

yada (0.1) unstable; urgency=low

  * Yada revision 1.34.
  * Packaged yada as a Debian package.

  * More consistent handling of fields with empty first lines.
  * If the copyright licence of the package isn't standard, the first
    line of the "Copyright:" field should now be a single dot, rather
    than being empty.
  * I thought that install-docs could cope with several documents in one
    doc-base file.  It can't.  Yada now looks for "Document:" tags
    within the doc-base field, splits up individual doc-base files, and
    calls install-docs for them each separately.
  * Bomb out if we see an unrecognised field in debian/packages.
  * "yada install -script" added (equivalent to "-bin -unstripped") to
    ease installing of binaries without having them automatically
    stripped.
  * Yada now elides some otherwise useless junk from debian/rules in
    two cases: (a) there are no build-depends or build-conflicts, or


=== debian/control ===
Source: yada
Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.0.1

Package: yada
Architecture: all
Depends: perl5 | perl, dpkg-dev
Description: Yet Another Debianisation Aid
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 WARNING: YADA is still very experimental!  Use it at your own risk!
 (And please run Lintian over anything built with yada before uploading.)

=== debian/rules ===
#! /usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.9, of Tue, 07 Dec 1999

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " patch              apply patches from debian/*.dpatch"; \
	echo " unpatch            unapply patches from debian/*.dpatch{,disabled}"; \
	echo " build-only         compile the package but do not create any install trees"; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

.PHONY: patch unpatch
# Apply patches matching `debian/*.dpatch' to the source tree,
# and unapply any applied patches `debian/*.dpatch.disabled'
patch: debian/patch-stamp
debian/patch-stamp:
	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
	if test $$backupdirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backup-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backupdirs = 1; then \
	  patchname="$$(echo debian/backup-* | sed 's=^debian/backup-==')"; \
	  echo "*** Cleaning up after interrupted patching run for $$patchname"; \
	  if test -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backup-$$patchname"; \
	  else \
	    (cd "debian/backup-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backup-$$patchname/{} {}; \
	    find "debian/backup-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backup-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; backdowndirs=$$(ls -d debian/backdown-* 2>/dev/null | wc -l); \
	if test $$backdowndirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backdown-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backdowndirs = 1; then \
	  patchname="$$(echo debian/backdown-* | sed 's=^debian/backdown-==')"; \
	  echo "*** Cleaning up after interrupted unpatching run for $$patchname"; \
	  if test ! -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backdown-$$patchname"; \
	  else \
	    (cd "debian/backdown-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backdown-$$patchname/{} {}; \
	    find "debian/backdown-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backdown-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; for stampfile in debian/patch-*-applied; do \
	  if test -f "$$stampfile"; then \
	    patchname="$$(echo "$$stampfile" | sed 's=^debian/patch-\(.*\)-applied$$=\1=')"; \
	    patchfile="debian/$$patchname.disabled"; \
	    if test -f "$$patchfile"; then \
	      echo "*** $$patchfile is now disabled; patching it out"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -R -f -i "$$patchfile" -b -V simple -B "debian/backdown-$$patchname/" $$patchoptions; \
	      rm -f "$$stampfile"; \
	      rm -rf "debian/backdown-$$patchname"; \
	    fi; \
	  fi; \
	done

	@set -e; for patchfile in debian/*.dpatch; do \
	  if test -f "$$patchfile"; then \
	    patchname="$$(echo "$$patchfile" | sed 's=^debian/==')"; \
	    stampfile="debian/patch-$$patchname-applied"; \
	    if test ! -f "$$stampfile"; then \
	      echo "*** Applying patch from $$patchname"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -N -f -i "$$patchfile" -b -V simple -B "debian/backup-$$patchname/" $$patchoptions; \
	      touch "$$stampfile"; \
	      rm -rf "debian/backup-$$patchname"; \
	    fi; \
	  fi; \
	done

	touch debian/patch-stamp

# Remove all managed patches from the source tree
unpatch:
	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
	if test $$backupdirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backup-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backupdirs = 1; then \
	  patchname="$$(echo debian/backup-* | sed 's=^debian/backup-==')"; \
	  echo "*** Cleaning up after interrupted patching run for $$patchname"; \
	  if test -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backup-$$patchname"; \
	  else \
	    (cd "debian/backup-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backup-$$patchname/{} {}; \
	    find "debian/backup-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backup-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; backdowndirs=$$(ls -d debian/backdown-* 2>/dev/null | wc -l); \
	if test $$backdowndirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backdown-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backdowndirs = 1; then \
	  patchname="$$(echo debian/backdown-* | sed 's=^debian/backdown-==')"; \
	  echo "*** Cleaning up after interrupted unpatching run for $$patchname"; \
	  if test ! -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backdown-$$patchname"; \
	  else \
	    (cd "debian/backdown-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backdown-$$patchname/{} {}; \
	    find "debian/backdown-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backdown-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; for stampfile in debian/patch-*-applied; do \
	  if test -f "$$stampfile"; then \
	    patchname="$$(echo "$$stampfile" | sed 's=^debian/patch-\(.*\)-applied$$=\1=')"; \
	    patchfile="debian/$$patchname"; \
	    if test ! -f "$$patchfile"; then \
	      patchfile="$$patchfile.disabled"; \
	    fi; \
	    if test -f "$$patchfile"; then \
	      echo "*** Removing patch from $$patchname"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -R -f -i "$$patchfile" -b -V simple -B "debian/backdown-$$patchname/" $$patchoptions; \
	      rm -f "$$stampfile"; \
	      rm -rf "debian/backdown-$$patchname"; \
	    else \
	      echo "*** Yada warning: Cannot find a patchfile named \`$$patchname' to unapply"; \
	    fi; \
	  fi; \
	done

	rm -f debian/patch-stamp

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: install-tree

# Make sure these rules and the control file are up-to-date

.PHONY: rules control
rules: debian/rules
debian/rules: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild control

debian/build-stamp: debian/patch-stamp
	@[ -f debian/yada -a -f debian/rules ]
	touch debian/build-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-yada/DEBIAN/control

debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada

## yada 0.9.9

=== debian/changelog ===
yada (0.9.9) unstable; urgency=low

  * NMU, closes: #114537
  * yada modifies Build-Depends-Indep if it is necessary
  * clean debuild if yada is in debian/ directory
  * debconf in postrm maintainer script, closes: #109346
  * SHELL=/bin/bash, closes: #104530
  * Standards-Version: 3.5.6
  * Recommends: grep-dctrl

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  5 Oct 2001 11:25:37 +0200

yada (0.9.8) unstable; urgency=medium

  * NMU by maintainer.  (Huh?!@*^&?  I'm still working on checking the
    patches made in previous NMUs, so I don't feel this is a "real"
    Maintainer Release.  Yes, I know it's odd.)
  * Disable the effects of "Build-Sequence: avoid-root" in debian/packages
    to avoid bug #96881 in dpkg-dev.  Other maintainers using yada
    should rebuild with this version if they were affected by bug 96860,
    "dpkg-shlibdeps et al.: should not do chown when not running as root".
    Doesn't close bug 96860, IMHO, but reduces its severity to "minor".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Mon, 13 Aug 2001 20:33:18 +0100

yada (0.9.7) unstable; urgency=low

  * NMU
  * New perl policy for yada perl.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 10 Apr 2001 12:00:25 +0200

yada (0.9.6) unstable; urgency=medium

  * NMU
  * Fixed bug introduced in 0.9.4: yada didn't strip binaries.
  * Support for bash scripts
  * Init: field can define init script filename

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 22 Feb 2001 13:41:18 +0100

yada (0.9.5) unstable; urgency=low

  * NMU
  * Standards-Version: 3.5.0
  * Support DEBFULLNAME and DEBEMAIL variables and detects correct package
    name for `yada yada'
  * New Debian Policy for Xfonts
  * Support [/path/to/file] for Enhances: and Conflicts:

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  7 Feb 2001 13:09:06 +0100

yada (0.9.4) unstable; urgency=low

  * NMU
  * Doesn't strip binaries if $DEB_BUILD_OPTIONS=nostrip, closes: #81937

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 22 Jan 2001 17:13:29 +0000

yada (0.9.3) unstable; urgency=low

  * NMU
  * A lot of new features:
    + New fields for new dpkg.
    + Support for debconf, logrotate, init.d, xfonts
    + /usr/bin/yada is an option and debian/yada is used when exists
    + yada dpkg-shlibdeps backs and works like dh_shlibdeps
    + yada strip works like dh_strip
    + new way of generating substvars file
    + exporting of some variables in maintainer scripts
    + more in yada.txt
  * Fixed:
    + Doc-Base, virtual packages' dependecies
  * ${Source-Version} works well, closes: #48030.
  * Init field supports init.d scripts, closes: #39360.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 14 Dec 2000 13:49:34 +0100

yada (0.9.2) unstable; urgency=low

  * Remove useless chomp. Closes: #78955, #78857.

 -- Samuel Tardieu <sam@debian.org>  Thu,  7 Dec 2000 14:27:40 +0100

yada (0.9.1) unstable; urgency=low

  * NMU because some bugs have triggered no action in more than one year:
   - Closes:#70571. Add Build-Depends in control file.
   - Closes:#38585. Generate md5sums file.
   - Closes:#45085. Document yada install -info command.
   - Closes:#52705. Yada is not needed in debian/ anymore.
   - Closes:#41275. Yada now works with dependencies on virtual packages.

 -- Samuel Tardieu <sam@debian.org>  Wed, 30 Aug 2000 10:57:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.0.1
+Standards-Version: 3.5.6
 
 Package: yada
 Architecture: all
-Depends: perl5 | perl, dpkg-dev
+Depends: dpkg-dev, perl5 | perl
+Recommends: grep-dctrl
 Description: Yet Another Debianisation Aid
  YADA is a Debian packaging helper.  It parses a special file,
  debian/packages, in a source package, and generates an appropriate

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #! /usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.9, of Tue, 07 Dec 1999
+# by yada v0.9.7, of Tue, 07 Dec 1999
+# Modified by Piotr Roszatycki <dexter@debian.org>, Mon,  9 Apr 2001 23:41:30 +0200
+
+DEB_HOST_GNU_CPU    := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+
+VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
 
 .PHONY: default
 default:
@@ -11,15 +22,15 @@
 	echo " binary-indep       make all architecture-independent binary packages"; \
 	echo " clean              clean up the source package"; \
 	echo; \
-	echo " patch              apply patches from debian/*.dpatch"; \
-	echo " unpatch            unapply patches from debian/*.dpatch{,disabled}"; \
-	echo " build-only         compile the package but do not create any install trees"; \
+	echo " patch              apply patches from debian/*.diff"; \
+	echo " unpatch            unapply patches from debian/*.diff{,disabled}"; \
+	echo " install-tree       compile the package and create the install trees"; \
 	echo " clean-install-tree clean up only under debian/"; \
 	echo
 
 .PHONY: patch unpatch
-# Apply patches matching `debian/*.dpatch' to the source tree,
-# and unapply any applied patches `debian/*.dpatch.disabled'
+# Apply patches matching `debian/*.diff' to the source tree,
+# and unapply any applied patches `debian/*.diff.disabled'
 patch: debian/patch-stamp
 debian/patch-stamp:
 	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
@@ -80,7 +91,7 @@
 	  fi; \
 	done
 
-	@set -e; for patchfile in debian/*.dpatch; do \
+	@set -e; for patchfile in debian/*.diff; do \
 	  if test -f "$$patchfile"; then \
 	    patchname="$$(echo "$$patchfile" | sed 's=^debian/==')"; \
 	    stampfile="debian/patch-$$patchname-applied"; \
@@ -167,29 +178,7 @@
 
 .PHONY: build-only build
 build-only: debian/build-stamp
-build: install-tree
+build: build-only
 
 # Make sure these rules and the control file are up-to-date
 
-.PHONY: rules control
-rules: debian/rules
-debian/rules: debian/yada debian/packages
-	chmod +x debian/yada
-	debian/yada rebuild rules
-
-control: debian/control
-debian/control: debian/yada debian/packages
-	chmod +x debian/yada
-	debian/yada rebuild control
-
-debian/build-stamp: debian/patch-stamp
-	@[ -f debian/yada -a -f debian/rules ]
-	touch debian/build-stamp
-
-.PHONY: install-tree
-install-tree: install-tree-any
-install-tree-any: \
-	debian/tmp-yada/DEBIAN/control
-
-debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada

## yada 0.29.1

=== debian/changelog ===
yada (0.29.1) unstable; urgency=low

  * Catalan DebConf templates, closes: #250116.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 27 May 2004 11:55:23 +0200

yada (0.29) unstable; urgency=low

  * Added amd64 to linux arch.
    Thanks to Christopher L Cheney <ccheney@debian.org>, closes: #249813.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 19 May 2004 15:19:37 +0200

yada (0.28) unstable; urgency=low

  * Ignore empty md5sum file.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 11 Mar 2004 19:51:44 +0100

yada (0.27) unstable; urgency=low

  * yada python removes compiled *.pyc and *.pyo.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 22 Feb 2004 14:16:37 +0100

yada (0.26.0.1) unstable; urgency=low

  * Replaces old yada-doc due to package.7 manpage migration, closes: #223296.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  8 Dec 2003 15:37:28 +0100

yada (0.26) unstable; urgency=low

  * packages(7) again in main yada package, closes: #221563.
  * New fields Cron, Cron-Daily, Cron-Monthly and Cron-Weekly for cron scripts.
  * New field Default for /etc/default script.
  * New field Modutils for /etc/modutils config.
  * New field Pam for /etc/pam.d config.
  * New architectures "netbsd" and "openbsd".
  * chmod +x debian/yada before "debuild" is not necessary. Perl is called
    instead.
  * New command "yada move".

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 26 Nov 2003 17:11:49 +0100

yada (0.25) unstable; urgency=low

  * Fixed wrong path for ucf source file in postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  6 Nov 2003 19:32:04 +0100

yada (0.24) unstable; urgency=low

  * ucf have to be called on "configure" action in postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  4 Nov 2003 13:23:41 +0100

yada (0.23.0.1) unstable; urgency=low

  * The previous changelog entry lied. The yada is already released.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 31 Oct 2003 11:46:12 +0100

yada (0.23) unstable; urgency=low

  * UNRELEASED
  * New option -ucf for yada install -conf
  * Generate automatically db_stop at the end of maintainers scripts.
  * yada symlink might not to have -as option.
  * Versioned debconf dependency to be lintian errors free if mulitiselect
    field is used.
  * Fixed overrides file if only one entry.
  * Don't detect perl and python scripts in /usr/share/doc directory.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 28 Oct 2003 10:45:06 +0100

yada (0.22) unstable; urgency=low

  * Generate automatically postinst and postrm scripts if Config field
    exists.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 23 Oct 2003 16:54:39 +0200

yada (0.21) unstable; urgency=medium

  * Fixes broken update-rc.d support.

 -- Piotr Roszatycki <dexter@debian.org>  Sun,  7 Sep 2003 00:31:51 +0200

yada (0.20) unstable; urgency=medium

  * Another problem with versioned python dependencies.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  5 Sep 2003 11:52:41 +0200

yada (0.19) unstable; urgency=medium

  * Fixed problem with detecting of perl dynamically loaded modules.
    Only directories contained "/auto/" are searched for *.so files.
  * Ignore missing directories when finding perl and python scripts.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 20 Aug 2003 10:29:28 +0200

yada (0.18) unstable; urgency=medium

  * Fixed problem with detecting of python, closes: #205470

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 18 Aug 2003 13:59:07 +0200

yada (0.17) unstable; urgency=low

  * Supported Python scripts.
  * yada perl in 'Install' field is deprecated and it is called automatically.
  * Fixed maintainers script for init.d, closes: #205072.
  * Dropped support for perl < 5.006.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 13 Aug 2003 14:00:24 +0200

yada (0.16) unstable; urgency=low

  * Splitted to yada and yada-doc packages.
  * Fixed uninitialized variable in yada script.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 25 Jul 2003 09:56:34 +0200

yada (0.15) unstable; urgency=low

  * Use invoke-rc.d and don't call init scripts directly.
  * New default macros added: YADA_COMMAND and YADA_VERSION.
  * Works yada install -man manpage.1.gz for already gzipped files.
  * New option "Contains: kernel-modules" which works with make-kpkg.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 23 Jul 2003 16:19:22 +0200

yada (0.14.0.1) unstable; urgency=low

  * French DebConf templates, closes: #194741

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 28 Jun 2003 21:39:39 +0200

yada (0.14) unstable; urgency=low

  * Back to unstable.
  * New field Upstream-Authors.
  * po-debconf supported.
  * Pass Version field for binary packages.
  * Provide examples, closes: #37551.
  * Generate man pages from POD source.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  6 May 2003 22:21:49 +0200

yada (0.13) experimental; urgency=medium

  * The "XIII" release.
  * Introduced preprocessor for macro commands and variables.
  * "yada rebuild" rebuilds all files
  * New fields Build-Arch and Build-Indep for build-arch and build-indep
    targets.
  * Pass X-* fields in control file.
  * Add Build-Depends: perl
  * Catch up failed test in debian/rules file, closes: #190774

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 15 Apr 2003 13:12:05 +0200

yada (0.12) unstable; urgency=medium

  * Documentation generated from LyX source
  * Enchanced debian-control.syntax in /usr/share/doc/...
  * Does not die if TMPROOT and VERSION are set for backward compatibility

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 19 Mar 2003 15:29:51 +0100

yada (0.11) unstable; urgency=low

  * Clean up with perltidy
  * import SOURCE=source-package-name variable
  * import PACKAGE variable only for binary packages
  * TMPROOT=$(pwd)/debian/tmp
  * New yada Contains field
  * New command yada copy
  * New command yada symlink
  * New option yada install -gzip|-bzip2
  * Don't check build time dependencies, as far as it is handled
    by dpkg-checkbuilddeps


=== debian/control ===
Source: yada
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.6.1
Build-Depends-Indep: file, patch, perl, po-debconf
Origin: debian

Package: yada
Architecture: all
Depends: dpkg-dev, file, patch, perl
Recommends: yada-doc
Suggests: bzip2
Conflicts: yada-doc (<< 0.26.0.1)
Replaces: yada-doc (<< 0.26.0.1)
Description: Yet Another Debianisation Aid
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides YADA tool.

Package: yada-doc
Architecture: all
Suggests: yada
Conflicts: yada (<< 0.16)
Description: Yet Another Debianisation Aid - documentation and examples
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides documentation for YADA and some examples of
 debian/packages files.

=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.29, of Wed, 19 May 2004

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: debian/yada debian/packages-tmp
	perl debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages-tmp
	perl debian/yada rebuild control

templates: debian/templates
debian/templates: debian/yada debian/packages-tmp
	perl debian/yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'echo test before-build';\
	echo -E 'for pod in *.pod; do';\
	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
	echo -E '        > $$(basename $$pod .pod).$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
	echo -E 'done';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test build';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test after-build') | /bin/sh
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-yada-doc/DEBIAN/control \
	debian/tmp-yada/DEBIAN/control

debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada-doc
	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
	umask 022; perl debian/yada generate copyright \
	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-yada-doc/usr/share/doc/yada-doc/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -doc doc/yada.txt debian/*.syntax';\
	echo -E 'yada install -doc -subdir examples examples/*';\
	echo -E 'yada install -doc -subdir examples/yada debian/packages debian/packages.* debian/patches/*.diff';\
	echo -E 'echo test "?" ok';\
	echo -E 'echo test "!?" ok';\
	echo -E 'echo echo line 1  echo line 2') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	perl debian/yada compress yada-doc
	perl debian/yada generate maintscripts yada-doc
	find debian/tmp-yada-doc -type f -print \
	  | sed -n 's/^debian\/tmp-yada-doc\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-yada-doc/DEBIAN/conffiles
	if test ! -s debian/tmp-yada-doc/DEBIAN/conffiles; then rm -f debian/tmp-yada-doc/DEBIAN/conffiles; fi
	perl debian/yada rebuild control
	perl debian/yada generate substvars yada-doc
	umask 022 && dpkg-gencontrol -isp -pyada-doc -Pdebian/tmp-yada-doc

debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada
	umask 022 && install -d debian/tmp-yada/DEBIAN
	install -d debian/tmp-yada/usr/share/doc/yada
	umask 022; perl debian/yada generate copyright \
	  > debian/tmp-yada/usr/share/doc/yada/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-yada/usr/share/doc/yada/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
	  && export PACKAGE="yada" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -script debian/yada';\
	echo -E 'yada install -man yada.1';\
	echo -E 'yada install -man packages.7') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
	  && export PACKAGE="yada" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh

## yada 0.30

=== debian/changelog ===
yada (0.30) unstable; urgency=low

  * Remove "command -v" bashizm from postinst scripts. 

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  6 Aug 2004 11:10:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Priority: optional
 Standards-Version: 3.6.1
 Build-Depends-Indep: file, patch, perl, po-debconf
-Origin: debian
 
 Package: yada
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.29, of Wed, 19 May 2004
+# by yada v0.30, of Fri,  6 Aug 2004
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

## yada 0.34

=== debian/changelog ===
yada (0.34) unstable; urgency=medium

  * Fix the Enhances field typo.
  * Fix the `yada yada' default template.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 25 Apr 2005 18:41:19 +0200

yada (0.33) unstable; urgency=medium

  * Fix the thinko for "yada shlibdeps" command. The yada should scan
    for shlibs files and generate debian/shlibs.local file.

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  6 Apr 2005 12:53:43 +0200

yada (0.32) unstable; urgency=low

  * Another fix for %if %else %endif logic.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 11 Mar 2005 12:53:31 +0100

yada (0.31) unstable; urgency=low

  * Fixed %if %else %endif logic. Now if the condition is not true, ignores
    nested %define and %include.
  * Danish Debconf translation. Closes: #285967.
  * Czech Debconf translation. Closes: #288021.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 10 Mar 2005 17:22:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.30, of Fri,  6 Aug 2004
+# by yada v0.34, of Mon, 25 Apr 2005
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

## yada 0.35

=== debian/changelog ===
yada (0.35) unstable; urgency=low

  * man/*.pod:
    - Manual pages moved to man/ subdirectory.
  * debian/packages:
    - Standards-Version: 3.6.2
  * debian/yada:
    - New architectures: kfreebsd-i386, knetbsd-i386, m32r, netbsd-alpha, ppc64
    - Supports new dpkg-architecture
    - Fixed xfonts support. Thanks to Robert Luberda. Closes: #312388.
    - Add yada to Build-Depends even if Build-Depends-Indep is used.
      Closes: #312389.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  5 Jul 2005 10:57:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,46 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.34, of Mon, 25 Apr 2005
+# by yada v0.35, of Tue,  5 Jul 2005
 
-DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
+DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+DEB_HOST_ARCH_CPU    := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
+DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU 2>/dev/null)
+DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2>/dev/null)
+DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM 2>/dev/null)
 
-DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)
+DEB_BUILD_ARCH_OS    := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
+DEB_BUILD_ARCH_CPU   := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU 2>/dev/null)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2>/dev/null)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM 2>/dev/null)
+
+# Take account of old dpkg-architecture output.
+ifeq ($(DEB_HOST_ARCH_CPU),)
+  DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
+  ifeq ($(DEB_HOST_ARCH_CPU),i486)
+    DEB_HOST_ARCH_OS := i386
+  endif
+endif
+ifeq ($(DEB_HOST_ARCH_OS),)
+  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_CPU),)
+  DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
+  ifeq ($(DEB_BUILD_ARCH_CPU),i486)
+    DEB_BUILD_ARCH_OS := i386
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),)
+  DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
+  ifeq ($(DEB_BUILD_ARCH_OS),gnu)
+    DEB_BUILD_ARCH_OS := hurd
+  endif
+endif
 
 VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
 
@@ -75,9 +105,9 @@
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
 	echo -E 'echo test before-build';\
-	echo -E 'for pod in *.pod; do';\
+	echo -E 'for pod in man/*.pod; do';\
 	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
-	echo -E '        > $$(basename $$pod .pod).$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
+	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
 	echo -E 'done';\
 	echo -E '# New entry Package maintainer'\''s commands follow';\
 	echo -E 'echo test build';\
@@ -167,28 +197,3 @@
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
 	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
 	  && export PACKAGE="yada" \
-	  && export SOURCE="yada" \
-	  && export VERSION="$(VERSION)" \
-	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
-	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
-	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
-	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
-	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
-	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
-	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
-	echo -E 'yada install -script debian/yada';\
-	echo -E 'yada install -man yada.1';\
-	echo -E 'yada install -man packages.7') | /bin/sh
-	@umask 022 \
-	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-yada" \
-	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
-	  && export PACKAGE="yada" \
-	  && export SOURCE="yada" \
-	  && export VERSION="$(VERSION)" && (\
-	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
-	echo -E 'yada perl';\
-	echo -E 'yada python';\
-	echo -E 'yada strip';\
-	echo -E 'yada shlibdeps') | /bin/sh
